import request from '@/utils/request'

// 查询用户与部门中间列表
export function listDept(query) {
  return request({
    url: '/product/dept/list',
    method: 'get',
    params: query
  })
}

// 查询用户与部门中间详细
export function getDept(id) {
  return request({
    url: '/product/dept/' + id,
    method: 'get'
  })
}

// 新增用户与部门中间
export function addDept(data) {
  return request({
    url: '/product/dept',
    method: 'post',
    data: data
  })
}

// 修改用户与部门中间
export function updateDept(data) {
  return request({
    url: '/product/dept',
    method: 'put',
    data: data
  })
}

// 删除用户与部门中间
export function delDept(id) {
  return request({
    url: '/product/dept/' + id,
    method: 'delete'
  })
}
